TransformerFactoryConfigurationError (XML Standard API)
Date: 2014-11-21

javax.xml.transform

## Class TransformerFactoryConfigurationError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - javax.xml.transform.TransformerFactoryConfigurationError

- All Implemented Interfaces:
    java.io.Serializable

      public class TransformerFactoryConfigurationError
      extends java.lang.Error

  Thrown when a problem with configuration with the Transformer Factories exists. This error will typically be thrown when the class of a transformation factory specified in the system properties cannot be found or instantiated.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransformerFactoryConfigurationError()` Create a new `TransformerFactoryConfigurationError` with no detail message.
    `TransformerFactoryConfigurationError(java.lang.Exception e)` Create a new `TransformerFactoryConfigurationError` with a given `Exception` base cause of the error.
    `TransformerFactoryConfigurationError(java.lang.Exception e, java.lang.String msg)` Create a new `TransformerFactoryConfigurationError` with the given `Exception` base cause and detail message.
    `TransformerFactoryConfigurationError(java.lang.String msg)` Create a new `TransformerFactoryConfigurationError` with the `String` specified as an error message.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Exception` | `getException()` Return the actual exception (if any) that caused this exception to be raised.
    `java.lang.String` | `getMessage()` Return the message (if any) for this error .

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TransformerFactoryConfigurationError

          public TransformerFactoryConfigurationError()

      Create a new `TransformerFactoryConfigurationError` with no detail message.

    - #### TransformerFactoryConfigurationError

          public TransformerFactoryConfigurationError(java.lang.String msg)

      Create a new `TransformerFactoryConfigurationError` with the `String` specified as an error message.
      Parameters:
        `msg` - The error message for the exception.

    - #### TransformerFactoryConfigurationError

          public TransformerFactoryConfigurationError(java.lang.Exception e)

      Create a new `TransformerFactoryConfigurationError` with a given `Exception` base cause of the error.
      Parameters:
        `e` - The exception to be encapsulated in a TransformerFactoryConfigurationError.

    - #### TransformerFactoryConfigurationError

          public TransformerFactoryConfigurationError(java.lang.Exception e,
                                              java.lang.String msg)

      Create a new `TransformerFactoryConfigurationError` with the given `Exception` base cause and detail message.
      Parameters:
        `e` - The exception to be encapsulated in a TransformerFactoryConfigurationError
        `msg` - The detail message.

  - ### Method Detail

    - #### getMessage

          public java.lang.String getMessage()

      Return the message (if any) for this error . If there is no message for the exception and there is an encapsulated exception then the message of that exception will be returned.
      Overrides:
        `getMessage` in class `java.lang.Throwable`
      Returns:
        The error message.

    - #### getException

          public java.lang.Exception getException()

      Return the actual exception (if any) that caused this exception to be raised.
      Returns:
        The encapsulated exception, or null if there is none.

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.